<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio 14-1</title>
</head>
<body>
    <form >
        <input type="text" placeholder="Nombre ..." id="nombre">
        <br>
        <input type="email" placeholder="email ..." id="email">
        <br>
        <input type="button" onclick="validar()" value="Validar">
        <p id="resultado"></p>
        <p id="resultado1"></p>

    </form>
    <script>
        /*
        Nombre Obligatorio que no sea numero y tenga un minimo 3 caracteres
        email Obligatiorio que tenga @ y menor a 6 caracteres
        Mensaje de Exito (color verde) Mensaje de  error(color rojo)

        */
            function validar(){
                var n = document.getElementById("nombre").value;
                var e = document.getElementById("email").value;
                        
                if (n !=" " && typeof(n) != "number" && n.length >= 3){
                            console.log( "El nombre ingresado OK")
                            document.getElementById("resultado").style.color ="green";
                            document.getElementById("resultado").innerHTML ="EL NOMBRE ES VALIDO"
                        
                    }else{
                            console.log( "El nombre ingresado NOOK")
                            document.getElementById("resultado").style.color ="red";
                            document.getElementById("resultado").innerHTML ="EL NOMBRE NO ES VALIDO"
                                            
                    }
                if(e.indexOf("@")>-1 && e.length>=6){
                            console.log( "El email OK")
                            document.getElementById("resultado1").style.color ="green";
                            document.getElementById("resultado1").innerHTML ="EL EMAIL ES VALIDO"
                    }else{
                            console.log( "El email NOOK")
                            document.getElementById("resultado1").style.color ="red";
                            document.getElementById("resultado1").innerHTML ="EL EMAIL NO ES VALIDO"
                    }
            }


    </script>

</body>
</html>